BSDPORTAL.RU

На этом сайте обсуждаются вопросы использования ОС FreeBSD
 Портал  •  Статьи  •  Форум  •  Wiki  •  Поиск  •  FAQ  •  Обои  •   Официальная документация  •  Новые темы 

Часовой пояс: UTC + 4 часа




Начать новую тему Ответить на тему  [ Сообщений: 12 ] 
Автор Сообщение
 Заголовок сообщения: Samba 3.0.25
СообщениеДобавлено: Вт 15 май, 2007 3:05 pm 
Не в сети

Зарегистрирован: Ср 06 окт, 2004 9:45 am
Сообщения: 145
Откуда: Санкт-Петербург
14.05.07 Вышла Samba 3.0.25
Содержит важные исправления в плане безопасности
* CVE-2007-2444 (Samba 3.0.23d - 3.0.25pre2): повышение привилегий
* CVE-2007-2446 (Samba 3.0.0 - 3.0.25rc3): Множественные ошибки могущие привести к исполнению удалённого кода
* CVE-2007-2447 (Samba 3.0.0 - 3.0.25rc3): "нестрогая" фильтрация параметров при передаче /bin/sh разрешает выполнение удалённого кода

http://news.samba.org/releases/samba_3_0_25_release/


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс 10 июн, 2007 11:53 pm 
Не в сети

Зарегистрирован: Ср 12 янв, 2005 7:14 am
Сообщения: 1419
Откуда: Murmansk
Попробовал обновиться до samba-3.0.25a (с 3.0.24) -- накрылась кодировка. В логах вижу вот это:
Код:
[2007/06/10 22:43:01, 0] lib/charcnv.c:init_iconv(159)
  init_iconv: Conversion from UTF-16LE to KOI8-R not supported
[2007/06/10 22:43:01, 0] lib/charcnv.c:init_iconv(167)
  init_iconv: Attempting to replace with conversion from UTF-16LE to ASCII

Пересобрал libiconv, glib-2 и потом опять samb'у -- не помогло.

Кто нибудь знает -- как победить?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 10:38 am 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5442
Откуда: СССР, Харьков
Сделал то-же самое - нет проблем, но обновлял портапгрейдом.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 3:15 pm 
Не в сети

Зарегистрирован: Ср 12 янв, 2005 7:14 am
Сообщения: 1419
Откуда: Murmansk
ankor писал(а):
Сделал то-же самое - нет проблем, но обновлял портапгрейдом.

Да собственно и я portupgrade'ом обновлял. А если не сложно уточнить версии зависимостей:
$ pkg_info -r samba-3*
Information for samba-3.0.24,1:

Depends on:
Dependency: jpeg-6b_4
Dependency: libiconv-1.9.2_2
Dependency: png-1.2.18
Dependency: pkg-config-0.21
Dependency: perl-threaded-5.8.8
Dependency: openssl-stable-0.9.7m
Dependency: openldap-client-2.3.35_1
Dependency: gettext-0.16.1_3
Dependency: popt-1.7_4
Dependency: libgpg-error-1.4_1
Dependency: tiff-3.8.2_1
Dependency: icu-3.6
Dependency: libgcrypt-1.2.4_1
Dependency: gnutls-1.6.2
Dependency: glib-2.12.12_2
Dependency: gamin-0.1.8_1
Dependency: cups-base-1.2.10_1


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 3:43 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5442
Откуда: СССР, Харьков
У меня вот это:

an# pkg_info -r samba-3.0.25,1
Information for samba-3.0.25,1:

Depends on:
Dependency: jpeg-6b_4
Dependency: libiconv-1.9.2_2
Dependency: png-1.2.18
Dependency: pkg-config-0.21
Dependency: perl-5.8.8
Dependency: openldap-client-2.3.35
Dependency: gettext-0.16.1_3
Dependency: popt-1.7_4
Dependency: libgpg-error-1.4_1
Dependency: tiff-3.8.2_1
Dependency: libgcrypt-1.2.4_1
Dependency: gnutls-1.6.2
Dependency: cups-base-1.2.10

Судя по всему я обновил чуть раньше.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 4:29 pm 
Не в сети

Зарегистрирован: Ср 12 янв, 2005 7:14 am
Сообщения: 1419
Откуда: Murmansk
2 ankor,
нет, у вас не 3.0.25a (буква "а")
Если решитесь обновлять -- отпишите..


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 4:38 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5442
Откуда: СССР, Харьков
Да, не обратил внимания.
Прямо сейчас и начну обновлять, посмотрим, чего получиться!


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср 13 июн, 2007 5:27 pm 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5442
Откуда: СССР, Харьков
Информация к размышлению.
$ pkg_info -r samba-3*
Information for samba-3.0.25a,1:

Depends on:
Dependency: jpeg-6b_4
Dependency: libiconv-1.9.2_2
Dependency: png-1.2.18
Dependency: pkg-config-0.21
Dependency: perl-5.8.8
Dependency: openldap-client-2.3.35_1
Dependency: libtasn1-0.3.9
Dependency: gettext-0.16.1_3
Dependency: popt-1.7_4
Dependency: libgpg-error-1.4_1
Dependency: tiff-3.8.2_1
Dependency: libgcrypt-1.2.4_1
Dependency: gnutls-1.6.2
Dependency: cups-base-1.2.11_1

С кодировкой нет проблем, но слетели пароли пользователей пришлось
вводить по новой.
Может в этом дело в smb.conf - это я не трогаю больше, раньше были
проблемы.
# Charset settings
; display charset = koi8-r
; unix charset = koi8-r
; dos charset = cp866


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Чт 14 июн, 2007 3:58 am 
Не в сети

Зарегистрирован: Ср 12 янв, 2005 7:14 am
Сообщения: 1419
Откуда: Murmansk
Попробовал скачать готовый пакет -- то же самое -- перекодировка не пашет.

А какая у вас версия GLib?
pkg_info -E glib-2\*
странно и почему Glib у Вас в зависимости нету?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Чт 14 июн, 2007 10:59 am 
Не в сети
Модератор
Аватара пользователя

Зарегистрирован: Ср 08 ноя, 2006 2:53 pm
Сообщения: 5442
Откуда: СССР, Харьков
$ pkg_info -E glib-2\*
glib-2.12.12_2
А почему нет в зависимостях, тут я помочь не могу.


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Чт 14 июн, 2007 1:32 pm 
Не в сети

Зарегистрирован: Сб 17 июн, 2006 2:02 am
Сообщения: 538
inspirra писал(а):
странно и почему Glib у Вас в зависимости нету?

# cd /usr/ports && make fetchindex
делали?


Вернуться к началу
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Чт 14 июн, 2007 1:35 pm 
Не в сети

Зарегистрирован: Ср 12 янв, 2005 7:14 am
Сообщения: 1419
Откуда: Murmansk
iZEN писал(а):
inspirra писал(а):
странно и почему Glib у Вас в зависимости нету?

# cd /usr/ports && make fetchindex
делали?

А при чем тут fetchindex?


Вернуться к началу
 Профиль  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 12 ] 

Часовой пояс: UTC + 4 часа


Кто сейчас на конференции

Зарегистрированные пользователи: Bing [Bot], Google [Bot]


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
Яндекс.Метрика